"""Initial Migration

Revision ID: d7d72028433f
Revises: 
Create Date: 2021-11-01 22:28:25.774500

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd7d72028433f'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('letter_status_history',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('letter_id', sa.Integer(), nullable=True),
    sa.Column('status_history', sa.PickleType(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['letter_id'], ['letter.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('letter_status_history')
    # ### end Alembic commands ###
